From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-alphabetical-grid/
Date: Sat, 29 Jan 2022 11:10:20 +0000 (UTC) [thread overview]
Message-ID: <1643454617.d52c86274ee6b53c796d8edcd7fd4e19b1e23e5c.pacho@gentoo> (raw)
commit: d52c86274ee6b53c796d8edcd7fd4e19b1e23e5c
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 29 11:10:08 2022 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jan 29 11:10:17 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d52c8627
gnome-extra/gnome-shell-extension-alphabetical-grid: Bump to 18.0
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
.../Manifest | 1 +
...e-shell-extension-alphabetical-grid-18.0.ebuild | 55 ++++++++++++++++++++++
2 files changed, 56 insertions(+)
diff --git a/gnome-extra/gnome-shell-extension-alphabetical-grid/Manifest b/gnome-extra/gnome-shell-extension-alphabetical-grid/Manifest
index e84cfbf9beb4..96d0ec71cfca 100644
--- a/gnome-extra/gnome-shell-extension-alphabetical-grid/Manifest
+++ b/gnome-extra/gnome-shell-extension-alphabetical-grid/Manifest
@@ -1 +1,2 @@
DIST gnome-shell-extension-alphabetical-grid-17.0.tar.gz 288368 BLAKE2B 7e22e06538d8804afb8301c40e02bcd1d56f6c756d69bb09d61649bceb6e1819e6cdf1ceb2f1d4e88ee22e92c3a6b465fd925fdde840b9c6124583cc7389a344 SHA512 46d5b7e269d0a454f04fde729fd6d5a66a270a3b2337159fc746d12304c7988846c1fb5c609c9122c3fca25c6110a714766b2f900c7fa1306251750781eff3e5
+DIST gnome-shell-extension-alphabetical-grid-18.0.tar.gz 289276 BLAKE2B 8556fab62659a188c58cc98a642b81a11681ac463590b4beef537f7963b968de371af323f63ca8e989d439837443411db946561e2ab4f993c38d179890575e87 SHA512 7a68e0bbda7c1a071805f0481185941552896ee477920b4e328cf5cafea4d93b4faf474ae6bc9cde4e0d78f4e83af697fe5f9ed1a675d6de5834a97a40b5c5b6
diff --git a/gnome-extra/gnome-shell-extension-alphabetical-grid/gnome-shell-extension-alphabetical-grid-18.0.ebuild b/gnome-extra/gnome-shell-extension-alphabetical-grid/gnome-shell-extension-alphabetical-grid-18.0.ebuild
new file mode 100644
index 000000000000..429429ac7ad3
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-alphabetical-grid/gnome-shell-extension-alphabetical-grid-18.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit gnome2-utils
+
+# Useful specially to prevent
+# https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/4684
+# https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3180
+DESCRIPTION="Restore the alphabetical ordering of the app grid"
+HOMEPAGE="https://github.com/stuarthayhurst/alphabetical-grid-extension"
+SRC_URI="https://github.com/stuarthayhurst/alphabetical-grid-extension/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ app-eselect/eselect-gnome-shell-extensions
+ >=gnome-base/gnome-shell-3.38
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/alphabetical-grid-extension-${PV}"
+extension_uuid="AlphabeticalAppGrid@stuarthayhurst"
+
+# Not useful for us
+src_compile() { :; }
+
+src_install() {
+ einstalldocs
+ insinto /usr/share/glib-2.0/schemas
+ doins schemas/*.xml
+ rm -rf README.md LICENSE.txt Makefile schemas || die
+ mv -v ui/* . || die # Searches for these files in parent dir
+ insinto /usr/share/gnome-shell/extensions/"${extension_uuid}"
+ doins -r *
+}
+
+pkg_preinst() {
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ gnome2_schemas_update
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}
+
+pkg_postrm() {
+ gnome2_schemas_update
+}
next reply other threads:[~2022-01-29 11:10 UTC|newest]
Thread overview: 46+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-29 11:10 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-27 8:25 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/gnome-shell-extension-alphabetical-grid/ Pacho Ramos
2024-08-27 8:25 Pacho Ramos
2024-07-12 9:05 Pacho Ramos
2024-05-18 9:26 Pacho Ramos
2024-05-18 9:26 Pacho Ramos
2024-02-25 15:56 Pacho Ramos
2024-02-25 15:56 Pacho Ramos
2024-02-25 15:56 Pacho Ramos
2024-02-18 6:08 Arthur Zamarin
2024-01-28 12:35 Pacho Ramos
2024-01-28 12:35 Pacho Ramos
2024-01-08 17:27 Sam James
2023-11-24 13:16 Pacho Ramos
2023-11-24 13:16 Pacho Ramos
2023-09-29 11:31 Pacho Ramos
2023-09-29 11:31 Pacho Ramos
2023-09-17 16:29 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-07-20 8:19 Pacho Ramos
2023-07-20 8:19 Pacho Ramos
2023-07-08 10:33 Pacho Ramos
2023-06-19 12:25 Pacho Ramos
2023-04-17 14:52 Pacho Ramos
2023-04-17 14:52 Pacho Ramos
2023-03-16 12:18 Pacho Ramos
2023-03-02 14:46 Pacho Ramos
2023-03-02 14:46 Pacho Ramos
2023-02-24 14:48 Pacho Ramos
2023-02-24 14:48 Pacho Ramos
2023-01-22 12:46 Pacho Ramos
2022-09-18 8:33 Pacho Ramos
2022-09-18 8:33 Pacho Ramos
2022-07-20 14:29 Pacho Ramos
2022-05-27 20:54 Pacho Ramos
2022-04-18 16:41 Pacho Ramos
2022-04-10 7:39 Pacho Ramos
2022-04-10 7:39 Pacho Ramos
2022-03-13 18:36 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-03-09 21:36 Pacho Ramos
2022-02-25 20:12 Pacho Ramos
2022-01-29 17:55 Pacho Ramos
2022-01-29 17:55 Pacho Ramos
2022-01-29 10:42 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1643454617.d52c86274ee6b53c796d8edcd7fd4e19b1e23e5c.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox